#
# spec file for package perl-Test-Script (Version 1.07)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild

Name:           perl-Test-Script
%define cpan_name %( echo %{name} | %{__sed} -e 's,perl-,,' )
Summary:        Basic cross-platform tests for scripts
Version:        1.07
Release:        2.1
License:        GPL+ or Artistic
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Test-Script/
Source0:        http://www.cpan.org/authors/id/A/AD/ADAMK/Test-Script-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
#BuildArch:      noarch
BuildRequires:  perl
%if 0%{?suse_version} < 1120
BuildRequires:  perl-macros
%endif
BuildRequires:  perl(File::Spec) >= 0.80
BuildRequires:  perl(Test::More) >= 0.62
BuildRequires:  perl(Test::Builder) >= 0.32
BuildRequires:  perl(Test::Builder::Tester) >= 1.02
# not perl | perl-base
BuildRequires:  perl(IPC::Run3) >= 0.034
BuildRequires:  perl(Probe::Perl) >= 0.01
Requires:  perl = %{perl_version} 
Requires:  perl(IPC::Run3) >= 0.034
Requires:  perl(Probe::Perl) >= 0.01
Provides:  %{cpan_name}

%description
The intent of this module is to provide a series of basic tests for 80% of
the testing you will need to do for scripts in the script (or bin as is
also commonly used) paths of your Perl distribution.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
perl Makefile.PL OPTIMIZE="$RPM_OPT_FLAGS -Wall"
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files -f %{name}.files
%defattr(-,root,root,-)
%doc Changes LICENSE README

%changelog
* Thu Mar  4 2010 chris@computersalat.de
- cleanup spec
- fixed deps
- added perl-macros
  o perl_gen_filelist
* Mon Feb  8 2010 larry+opensuse@l2g.to
- More cleanup for openSUSE packaging
* Mon Jan 25 2010 anicka@suse.cz
- clean Requires
